Subject: Re: bug#57905: [PATCH] Fix eshell directory and executable completion on action t

From: Daniel Pettersson <[email-masked]>
Date: Mon, 19 Sep 2022 22:27:39 +0200

> Please don't use 'concat' to create a file name with leading
> directories; instead, please use file-name-concat.

Ah I had know idea of the existence of that function, that definitely
seams like the better option. Thanks for spreading the word.

> Some regression tests would be nice though. I've been trying to add
> tests as I go through various parts of Eshell, but I haven't looked much
> at the "interactive" bits like em-cmpl.el yet. 'eshell-test/forward-arg'
> in test/lisp/eshell/eshell-tests.el might make for an ok basis to adapt
> into some completion tests (which could probably then go into
> .../em-cmpl-tests.el).

I will take a look :)

> Daniel, I've now pushed your patch to Emacs 29.
>
> This change was just small enough to apply without assigning copyright
> to the FSF, but for future patches you want to submit, it might make
> sense to get the paperwork started now, so that subsequent patches can
> be applied speedily. Would you be willing to sign such paperwork?

Great and sure.